跳至内容

订购带专用端口的互联网接入

Equinix Internet Access (EIA) 使用多个一级互联网服务提供商 (ISP) 和 Equinix Internet Exchange (IX) 提供混合Internet Access,以提供高可用性、可靠性和速度。

Equinix Internet Access可用于:

  • 主要互联网接入 – 适用于希望使用 Equinix 互联网接入作为其主要互联网连接的客户。

  • 备用互联网接入 – 适用于使用其他互联网提供商作为主要互联网接入的客户,并且希望 Equinix 互联网接入作为备用解决方案,以防其主要互联网连接中断。

  • 管理访问 – 适用于需要独立带外通道来管理其位于 Equinix IBX 数据中心的服务器和网络设备的客户。

使用 Get Default Settings for Equinix Internet Access with Dedicated Port API 请求检索默认的、推荐的配置设置。

先决条件

  1. 身份验证 - 提交您的 OAuth2 用户凭据、客户端 ID 和客户端密钥 身份验证。请参阅API身份验证以获取有关如何调用OAuth API来验证和认证您的凭据的说明。

1.使用 Get IBX 数据中心 端点列出 Equinix Internet Access 可用的 IBX 数据中心。

In addition to IBX data centers returned by this API, Equinix Internet Access with Dedicated Port is also available for offline ordering in select Equinix facilities in Bulgaria, China, Poland, and Turkey. To order Equinix Internet Access service in one of those countries, contact your Equinix sales representative.

  1. 获取符合条件的计费帐户。使用 列出帐户 端点获取可用于在给定 IBX 数据中心订购 Equinix 互联网接入的计费帐户列表。

  2. 获取托管机柜信息。使用 Get Cages 端点检索指定 IBX 数据中心中与指定计费帐户关联的机柜。

  3. 获取机柜信息。使用 获取机柜 端点检索指定机柜笼中的机柜信息。

  4. 获取配线架详细信息。使用 获取配线架 API 请求检索指定机柜中的配线架,并确定哪些端口可用。

创建服务实例

要创建 Internet Access 服务实例,请向 /internetAccess/v1/services 端点发送 POST 请求。在请求正文中指定服务详细信息。

cURL 请求示例:

curl -X POST 'https://api.equinix.com/internetAccess/v1/services'
-H 'content-type: application/json'
-H 'authorization: Bearer <$TOKEN>'
-d '{
    "name": "Web servers",
    "description": "Internet connection for Minecraft server.",
    "type": "DUAL_PORT",
    "useCase": "MAIN",
    "billing": "FIXED",
    "bandwidth": 500,
    "connections": [
        {
            "type": "IA_C",
            "aSide": {
                "accessPoint": {
                    "type": "COLO",
                    "port": {
                        "bandwidth": 1000,
                        "type": "IA_PORT",
                        "location": {
                            "ibx": "DC5"
                        },
                        "lag": {
                            "enabled": false
                        },
                        "connectivitySource": {
                            "type": "COLO"
                        },
                        "physicalPorts": [
                            {
                                "type": "XF_PHYSICAL_PORT",
                                "speed": 1000,
                                "demarcationPoint": {
                                    "mediaType": "Single-Mode Fiber",
                                    "connectionService": "Single-Mode Fiber",
                                    "connectorType": "SC",
                                    "cageSpaceId": "DC5:01:20221219_910222",
                                    "cabinetSpaceId": "DC5:01:20221219_910222:Demarc",
                                    "patchPanel": "CP:Demarc:1266844",
                                    "patchPanelPortA": 1,
                                    "patchPanelPortB": 2
                                }
                            }
                        ]
                    }
                }
            }
        },
        {
            "type": "IA_C",
            "aSide": {
                "accessPoint": {
                    "type": "COLO",
                    "port": {
                        "bandwidth": 1000,
                        "type": "IA_PORT",
                        "location": {
                            "ibx": "DC5"
                        },
                        "lag": {
                            "enabled": false
                        },
                        "connectivitySource": {
                            "type": "COLO"
                        },
                        "physicalPorts": [
                            {
                                "type": "XF_PHYSICAL_PORT",
                                "speed": 1000,
                                "demarcationPoint": {
                                    "mediaType": "Single-Mode Fiber",
                                    "connectionService": "Single-Mode Fiber",
                                    "connectorType": "SC",
                                    "cageSpaceId": "DC5:01:20221219_910222",
                                    "cabinetSpaceId": "DC5:01:20221219_910222:Demarc",
                                    "patchPanel": "CP:Demarc:1266844",
                                    "patchPanelPortA": 3,
                                    "patchPanelPortB": 4
                                }
                            }
                        ]
                    }
                }
            }
        }
    ],
    "routingProtocols": [
        {
            "type": "STATIC",
            "ipv4": {
                "customerRoutes": [
                    {
                        "ipBlock": {
                            "prefixLength": 30
                        }
                    }
                ]
            },
            "ipv6": {
                "customerRoutes": [
                    {
                        "ipBlock": {
                            "prefixLength": 64
                        }
                    }
                ]
            }
        }
    ],
    "order": {
        "referenceNumber": "",
        "signature": {
            "signatory": "DELEGATE",
            "delegate": {
                "email": "someone.else@equinix.com"
            }
        },
        "contacts": [
            {
                "type": "TECHNICAL",
                "registeredUser": "amer-click-po-user"
            },
            {
                "type": "NOTIFICATION",
                "registeredUser": "amer-click-po-user"
            }
        ]
    },
    "account": {
        "accountNumber": "123456"
    }
}'

示例回答:

{
    "uuid": "e6b8874f-d1f8-4f94-ad57-96569dd74486",
    "type": "DUAL_PORT",
    "useCase": "MAIN",
    "name": "Web servers",
    "description": "Internet connection for web servers."
    "bandwidth": 500,
    "account": {
        "accountNumber": "123456"
    },
    "billing": "FIXED",
    "draft": false,
    "order": {
        "href": "https://api.equinix.com/internetAccess/v1/services/e6b8874f-d1f8-4f94-ad57-96569dd74486/orders/4b8df286-5562-41e2-8753-0379eecbe176",
        "uuid": "4b8df286-5562-41e2-8753-0379eecbe176",
        "type": "AMENDMENT"
    },
    "state": "PENDING"
}

监控您的请求

使用 获取互联网接入订单详情 端点来监控您的 Equinix 互联网接入订单。

curl -X GET 'https://api.equinix.com/internetAccess/v1/orders/4b8df286-5562-41e2-8753-0379eecbe176'
-H 'authorization: Bearer <$TOKEN>'
此页面有帮助吗?